| gpio Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XGpio Struct Reference
GPIO APIs

The XGpio driver instance data. More...

## Data Fields
UINTPTR | BaseAddress
| Device base address. More...
u32 | IsReady
| Device is initialized and ready. More...
int | InterruptPresent
| Are interrupts supported in h/w. More...
int | IsDual
| Are 2 channels supported in h/w. More...

## Detailed Description

The XGpio driver instance data.

The user is required to allocate a variable of this type for every GPIO device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

UINTPTR XGpio::BaseAddress

Device base address.

Referenced by XGpio_CfgInitialize(), XGpio_DiscreteClear(), XGpio_DiscreteRead(), XGpio_DiscreteSet(), XGpio_DiscreteWrite(), XGpio_GetDataDirection(), XGpio_InterruptClear(), XGpio_InterruptDisable(), XGpio_InterruptEnable(), XGpio_InterruptGetEnabled(), XGpio_InterruptGetStatus(), XGpio_InterruptGlobalDisable(), XGpio_InterruptGlobalEnable(), and XGpio_SetDataDirection().

int XGpio::InterruptPresent

Are interrupts supported in h/w.

Referenced by XGpio_CfgInitialize(), XGpio_InterruptClear(), XGpio_InterruptDisable(), XGpio_InterruptEnable(), XGpio_InterruptGetEnabled(), XGpio_InterruptGetStatus(), XGpio_InterruptGlobalDisable(), and XGpio_InterruptGlobalEnable().

int XGpio::IsDual

Are 2 channels supported in h/w.

Referenced by XGpio_CfgInitialize(), XGpio_DiscreteClear(), XGpio_DiscreteRead(), XGpio_DiscreteSet(), XGpio_DiscreteWrite(), XGpio_GetDataDirection(), and XGpio_SetDataDirection().

u32 XGpio::IsReady

Device is initialized and ready.

Referenced by XGpio_CfgInitialize(), XGpio_DiscreteClear(), XGpio_DiscreteRead(), XGpio_DiscreteSet(), XGpio_DiscreteWrite(), XGpio_GetDataDirection(), XGpio_Initialize(), XGpio_InterruptClear(), XGpio_InterruptDisable(), XGpio_InterruptEnable(), XGpio_InterruptGetEnabled(), XGpio_InterruptGetStatus(), XGpio_InterruptGlobalDisable(), XGpio_InterruptGlobalEnable(), XGpio_SelfTest(), and XGpio_SetDataDirection().